<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:30 GMT 2020 -->
<title>LinearNode</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LinearNode";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../StackPackage/LinkedStack.html" title="class in StackPackage"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?StackPackage/LinearNode.html" target="_top">Frames</a></li>
<li><a href="LinearNode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">StackPackage</div>
<h2 title="Class LinearNode" class="title">Class LinearNode&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>StackPackage.LinearNode&lt;T&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">LinearNode&lt;T&gt;</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../StackPackage/LinearNode.html" title="type parameter in LinearNode">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinearNode.html#element">element</a></span></code>
<div class="block">element stored at this node</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../StackPackage/LinearNode.html" title="class in StackPackage">LinearNode</a>&lt;<a href="../StackPackage/LinearNode.html" title="type parameter in LinearNode">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinearNode.html#next">next</a></span></code>
<div class="block">reference to next node in list</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../StackPackage/LinearNode.html#LinearNode--">LinearNode</a></span>()</code>
<div class="block">Creates an empty node.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../StackPackage/LinearNode.html#LinearNode-T-">LinearNode</a></span>(<a href="../StackPackage/LinearNode.html" title="type parameter in LinearNode">T</a>&nbsp;elem)</code>
<div class="block">Creates a node storing the specified element.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../StackPackage/LinearNode.html" title="type parameter in LinearNode">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinearNode.html#getElement--">getElement</a></span>()</code>
<div class="block">Returns the element stored in this node.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../StackPackage/LinearNode.html" title="class in StackPackage">LinearNode</a>&lt;<a href="../StackPackage/LinearNode.html" title="type parameter in LinearNode">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinearNode.html#getNext--">getNext</a></span>()</code>
<div class="block">Returns the node that follows this one.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinearNode.html#setElement-T-">setElement</a></span>(<a href="../StackPackage/LinearNode.html" title="type parameter in LinearNode">T</a>&nbsp;elem)</code>
<div class="block">Sets the element stored in this node.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinearNode.html#setNext-StackPackage.LinearNode-">setNext</a></span>(<a href="../StackPackage/LinearNode.html" title="class in StackPackage">LinearNode</a>&lt;<a href="../StackPackage/LinearNode.html" title="type parameter in LinearNode">T</a>&gt;&nbsp;node)</code>
<div class="block">Sets the node that follows this one.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../StackPackage/LinearNode.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="next">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>next</h4>
<pre>private&nbsp;<a href="../StackPackage/LinearNode.html" title="class in StackPackage">LinearNode</a>&lt;<a href="../StackPackage/LinearNode.html" title="type parameter in LinearNode">T</a>&gt; next</pre>
<div class="block">reference to next node in list</div>
</li>
</ul>
<a name="element">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>element</h4>
<pre>private&nbsp;<a href="../StackPackage/LinearNode.html" title="type parameter in LinearNode">T</a> element</pre>
<div class="block">element stored at this node</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LinearNode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LinearNode</h4>
<pre>public&nbsp;LinearNode()</pre>
<div class="block">Creates an empty node.</div>
</li>
</ul>
<a name="LinearNode-java.lang.Object-">
<!--   -->
</a><a name="LinearNode-T-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LinearNode</h4>
<pre>public&nbsp;LinearNode(<a href="../StackPackage/LinearNode.html" title="type parameter in LinearNode">T</a>&nbsp;elem)</pre>
<div class="block">Creates a node storing the specified element.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>elem</code> - element to be stored</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getNext--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNext</h4>
<pre>public&nbsp;<a href="../StackPackage/LinearNode.html" title="class in StackPackage">LinearNode</a>&lt;<a href="../StackPackage/LinearNode.html" title="type parameter in LinearNode">T</a>&gt;&nbsp;getNext()</pre>
<div class="block">Returns the node that follows this one.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>LinearNode reference to next node</dd>
</dl>
</li>
</ul>
<a name="setNext-StackPackage.LinearNode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNext</h4>
<pre>public&nbsp;void&nbsp;setNext(<a href="../StackPackage/LinearNode.html" title="class in StackPackage">LinearNode</a>&lt;<a href="../StackPackage/LinearNode.html" title="type parameter in LinearNode">T</a>&gt;&nbsp;node)</pre>
<div class="block">Sets the node that follows this one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - node to follow this one</dd>
</dl>
</li>
</ul>
<a name="getElement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getElement</h4>
<pre>public&nbsp;<a href="../StackPackage/LinearNode.html" title="type parameter in LinearNode">T</a>&nbsp;getElement()</pre>
<div class="block">Returns the element stored in this node.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>T element stored at this node</dd>
</dl>
</li>
</ul>
<a name="setElement-java.lang.Object-">
<!--   -->
</a><a name="setElement-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setElement</h4>
<pre>public&nbsp;void&nbsp;setElement(<a href="../StackPackage/LinearNode.html" title="type parameter in LinearNode">T</a>&nbsp;elem)</pre>
<div class="block">Sets the element stored in this node.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>elem</code> - element to be stored at this node</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../StackPackage/LinkedStack.html" title="class in StackPackage"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?StackPackage/LinearNode.html" target="_top">Frames</a></li>
<li><a href="LinearNode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
